Bug 194705 - New port: x11-drivers/xf86-video-ast, driver for graphics controller found in a recent server motherboards
Summary: New port: x11-drivers/xf86-video-ast, driver for graphics controller found in...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-30 16:17 UTC by Nathan Whitehorn
Modified: 2017-02-12 23:32 UTC (History)
2 users (show)

See Also:


Attachments
Patch to add port (2.90 KB, patch)
2014-10-30 16:17 UTC, Nathan Whitehorn
no flags Details | Diff
Convert Nathan's patch to shar (1.60 KB, text/plain)
2015-07-16 04:50 UTC, Jia-Shiun Li
no flags Details
include xf86-video-ast in the list of x11-drivers/xorg-drivers (313 bytes, patch)
2015-07-16 05:05 UTC, Jia-Shiun Li
no flags Details | Diff
Update xf86-video-ast to v1.1.5 (1.60 KB, text/plain)
2016-03-01 04:38 UTC, Jia-Shiun Li
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Whitehorn freebsd_committer 2014-10-30 16:17:43 UTC
Created attachment 148800 [details]
Patch to add port

The ASPEED graphics controller is found embedded in a server of recent server motherboards. The freedesktop xf86-video-ast driver compiles and works out of the box but is missing from the ports tree. The attached fixes that.
Comment 1 John Marino freebsd_committer 2014-11-01 08:47:35 UTC
Can you resubmit this as a shar per  https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html ?

Thanks!
Comment 2 John Marino freebsd_committer 2014-11-14 11:50:30 UTC
I'll close this PR in a few days -- there's no shar file.
Comment 3 John Marino freebsd_committer 2014-11-19 10:05:02 UTC
x11@, I was going to close this new-port PR -- no shar and the pkg-plist features @dirrmtry.

However, it's a simple patch so I'll assign this driver port to you guys to do with what you want.
Comment 4 Jia-Shiun Li 2015-07-16 04:50:16 UTC
Created attachment 158828 [details]
Convert Nathan's patch to shar

Nathan's patch works for me on an E5-2600v3 board with Aspeed AST2400. So I am converting it to shar file.
Comment 5 Jia-Shiun Li 2015-07-16 05:05:01 UTC
Created attachment 158829 [details]
include xf86-video-ast in the list of x11-drivers/xorg-drivers

accompanying patch to x11-drivers/xorg-drivers.
Comment 6 Jia-Shiun Li 2016-03-01 04:38:32 UTC
Created attachment 167589 [details]
Update xf86-video-ast to v1.1.5

Upstream xf86-video-ast has been updated to v1.1.5. Update shar file accordingly.
Comment 7 Johannes M Dieterich freebsd_committer 2017-01-17 07:16:15 UTC
Currently looking at this. It seems these controllers are only to be found on i386/amd64?
Comment 8 Jia-Shiun Li 2017-01-17 18:19:10 UTC
Usually found on BMC of Xeon E5, Xeon-D, Atom C2000, etc. server systems. I haven't have access to one, but it looks Cavium ThunderX systems (arm64) use Aspeed BMC as well.

https://www.servethehome.com/gigabyte-r120-t30-overview-first-cavium-thunderx-system/
Comment 9 commit-hook freebsd_committer 2017-01-30 01:42:24 UTC
A commit references this bug:

Author: jmd
Date: Mon Jan 30 01:42:13 UTC 2017
New revision: 432816
URL: https://svnweb.freebsd.org/changeset/ports/432816

Log:
  Add xf86-video-ast driver for ASPEED graphics controllers in recent server motherboards.

  PR:		194705
  Submitted by:	nwhitehorn@freebsd.org
  Reviewed by:	swills (mentor)
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9309

Changes:
  head/x11-drivers/Makefile
  head/x11-drivers/xf86-video-ast/
  head/x11-drivers/xf86-video-ast/Makefile
  head/x11-drivers/xf86-video-ast/distinfo
  head/x11-drivers/xf86-video-ast/pkg-descr
  head/x11-drivers/xorg-drivers/Makefile